安全漏洞

loophole

安全漏洞补丁公告

当前位置  >  首页  >  服务支持  >  安全漏洞  >  安全漏洞补丁公告

公告ID(KYSA-202112-1038

摘要:nodejs漏洞 安全等级:重要 发布日期:2021-12-31 影响CVE:CVE-2021-22918、CVE-2021-22930

详细介绍

1.修复的CVE

CVE-2021-22918

描述:nodejs是是一个基于ChromeV8引擎的JavaScript运行环境通过对Chromev8引擎进行了封装以及使用事件驱动和非阻塞IO的应用让Javascript开发高性能的后台应用成为了可能。Nodejs 存在缓冲区错误漏洞,该漏洞源于程序的uv__idna_toascii()函数中存在越界读取漏洞。

CVE-2021-22930

描述:Joyent Node.js是美国Joyent公司的一套建立在Google V8 JavaScript引擎之上的网络应用平台。该平台主要用于构建高度可伸缩的应用程序,以及编写能够处理数万条且同时连接到一个物理机的连接代码。Node.js存在资源管理错误漏洞。该漏洞源于Node.js容易受到释放后重用攻击。利用该漏攻击者可构造内存溢出,从而导致进程行为的改变。该漏洞最大威胁是影响系统的机密性和完整性。


2.影响的操作系统及修复版本

·银河麒麟高级服务器操作系统 V10 SP2

debug/nodejs-debuginfo-10.21.0-10.p01.ky10

nodejs-10.21.0-10.p01.ky10

nodejs-devel-10.21.0-10.p01.ky10

nodejs-docs-10.21.0-10.p01.ky10

nodejs-full-i18n-10.21.0-10.p01.ky10

nodejs-libs-10.21.0-10.p01.ky10

npm-6.14.4-1.10.21.0.10.p01.ky10

v8-devel-6.8.275.32-1.10.21.0.10.p01.ky10


3.受影响的软件包

·银河麒麟高级服务器操作系统 V10 SP2

aarch64:debug/nodejs-debuginfo、nodejs、nodejs-devel、nodejs-docs、nodejs-full-i18n、nodejs-libs、npm、v8-devel、

x86_64:debug/nodejs-debuginfo、nodejs、nodejs-devel、nodejs-docs、nodejs-full-i18n、nodejs-libs、npm、v8-devel、


4.修复方法

方法一:配置源进行升级安装

1.打开软件包源配置文件,根据仓库地址进行修改。

仓库源地址:

银河麒麟高级服务器操作系统 V10 SP2

aarch64:https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/aarch64/

x86_64:https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/x86_64/

2.配置完成后执行更新命令进行升级,命令如下:

yum update Packagename

方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的软件包列表进行升级安装,命令如下:

yum install Packagename


5.软件包下载地址:

银河麒麟高级服务器操作系统 V10 SP2

 nodejs aarch64软件包下载地址:

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/debug/nodejs-debuginfo-10.21.0-10.p01.ky10.aarch64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/nodejs-10.21.0-10.p01.ky10.aarch64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/nodejs-devel-10.21.0-10.p01.ky10.aarch64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/nodejs-docs-10.21.0-10.p01.ky10.noarch.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/nodejs-full-i18n-10.21.0-10.p01.ky10.aarch64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/nodejs-libs-10.21.0-10.p01.ky10.aarch64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/npm-6.14.4-1.10.21.0.10.p01.ky10.aarch64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/v8-devel-6.8.275.32-1.10.21.0.10.p01.ky10.aarch64.rpm

 nodejs x86_64软件包下载地址:

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/debug/nodejs-debuginfo-10.21.0-10.p01.ky10.x86_64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/nodejs-10.21.0-10.p01.ky10.x86_64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/nodejs-devel-10.21.0-10.p01.ky10.x86_64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/nodejs-docs-10.21.0-10.p01.ky10.noarch.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/nodejs-full-i18n-10.21.0-10.p01.ky10.x86_64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/nodejs-libs-10.21.0-10.p01.ky10.x86_64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/npm-6.14.4-1.10.21.0.10.p01.ky10.x86_64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/v8-devel-6.8.275.32-1.10.21.0.10.p01.ky10.x86_64.rpm

注:其他相关依赖包请到相同目录下载


上一篇: KYSA-202112-1037 下一篇: KYSA-202112-1039

试用

服务

动态

联系